Bug 174865 - [PATCH] net/citrix_ica: update to 12.1
Summary: [PATCH] net/citrix_ica: update to 12.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 19:20 UTC by Mark Felder
Modified: 2016-09-20 13:49 UTC (History)
0 users

See Also:


Attachments
citrix_ica-12.1.patch (886 bytes, patch)
2012-12-31 19:20 UTC, Mark Felder
no flags Details | Diff
citrix_ica.diff (16.19 KB, patch)
2013-01-13 22:50 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2012-12-31 19:20:00 UTC
- Update to 12.1

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2012-12-31 19:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills 2013-01-13 22:50:24 UTC
See attached updated patch. Someone please test this. I don't have
access to Citrix server to test.

Steve
Comment 3 dfilter service freebsd_committer 2013-01-18 17:07:16 UTC
Author: swills
Date: Fri Jan 18 17:07:00 2013
New Revision: 310616
URL: http://svnweb.freebsd.org/changeset/ports/310616

Log:
  - Update to 12.1
  
  Note: this version requires the linux_pipe2 system call and won't work on systems without it
  
  PR:		ports/174865 (with many changes)
  Submitted by:	Mark Felder <feld@feld.me>
  Tested by:	tabthorpe

Modified:
  head/net/citrix_ica/Makefile   (contents, props changed)
  head/net/citrix_ica/distinfo   (contents, props changed)
  head/net/citrix_ica/files/patch-linuxx86::hinst   (contents, props changed)
  head/net/citrix_ica/pkg-descr   (contents, props changed)
  head/net/citrix_ica/pkg-plist   (contents, props changed)

Modified: head/net/citrix_ica/Makefile
==============================================================================
--- head/net/citrix_ica/Makefile	Fri Jan 18 17:02:03 2013	(r310615)
+++ head/net/citrix_ica/Makefile	Fri Jan 18 17:07:00 2013	(r310616)
@@ -6,26 +6,22 @@
 #
 
 PORTNAME=	citrix_ica
-PORTVERSION=	10.6
-PORTREVISION=	1
+PORTVERSION=	12.1
 CATEGORIES=	net comms linux
-MASTER_SITES=
-DISTNAME=	${PORTNAME}-linuxx86-${PORTVERSION}
+DISTNAME=	linuxx86_12.1.0.203066
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Citrix(R) Presentation Server(TM) client
 
 ONLY_FOR_ARCHS=	i386 amd64
 USE_LINUX=	yes
-USE_LINUX_APPS=	openmotif
+USE_LINUX_APPS=	openmotif alsalib
 RESTRICTED=	License prohibits redistribution
-IS_INTERACTIVE=	"Noisy license agreement ignores stdin"
 
 NO_WRKSUBDIR=	yes
 NO_BUILD=	yes
 
 CDIR=		${PREFIX}/ICAClient
-BINDIR=		${PREFIX}/bin
 CERTDIR=	${CDIR}/keystore/cacerts
 
 PLIST_SUB=	MOZILLA_HOME=${MOZILLA_HOME}
@@ -40,25 +36,12 @@ SUB_LIST=	CDIR=${CDIR}
 
 .include <bsd.port.pre.mk>
 
-.if defined(BATCH) || defined(PACKAGE_BUILDING)
-IGNORE='The distribution file for this port may not be automatically fetched due to licensing restrictions.'
+.if !defined(PACKAGE_BUILDING) && !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
+IGNORE=May not be redistributed due to licensing. Please visit http://www.citrix.com/downloads/citrix-receiver/receivers-by-platform/receiver-for-linux-121.html to accept their license and download ${DISTFILES} into ${DISTDIR}
 .endif
 
-do-fetch:
-.if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
-	@${ECHO} ""
-	@${ECHO} "You have to fetch the file manually from"
-	@${ECHO} ""
-	@${ECHO} "http://www.citrix.com/English/SS/downloads/details.asp?dID=2755&downloadID=3323&pID=186"
-	@${ECHO} ""
-	@${ECHO} "Once en.linuxx86.tar.gz has been downloaded move it to"
-	@${ECHO} "${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} and restart the build."
-	@${ECHO} ""
-	@${FALSE}
-.endif
-
-.if defined(ICA_CERTS)
 pre-fetch:
+.if defined(ICA_CERTS)
 .for f in ${ICA_CERTS}
 	@echo "Checking ${f}"
 .if !exists(${DISTDIR}/${f})
@@ -69,6 +52,7 @@ pre-fetch:
 .endif
 
 do-install:
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKDIR}/linuxx86/hinst
 	@if (test -d "${CDIR}") ; \
 	then \
 		${ECHO} "-----------------------------------------------------------" ; \

Modified: head/net/citrix_ica/distinfo
==============================================================================
--- head/net/citrix_ica/distinfo	Fri Jan 18 17:02:03 2013	(r310615)
+++ head/net/citrix_ica/distinfo	Fri Jan 18 17:07:00 2013	(r310616)
@@ -1,2 +1,2 @@
-SHA256 (citrix_ica-linuxx86-10.6.tar.gz) = 4bd5440856f65232dc69e33010dc5c55f597a56f4c26309ac53bef189aaee6fc
-SIZE (citrix_ica-linuxx86-10.6.tar.gz) = 1801486
+SHA256 (linuxx86_12.1.0.203066.tar.gz) = d4206ab0251a5f722d5c92117e038b2adf63bc33045e17f2831b23af00d4f9f3
+SIZE (linuxx86_12.1.0.203066.tar.gz) = 3652203

Modified: head/net/citrix_ica/files/patch-linuxx86::hinst
==============================================================================
--- head/net/citrix_ica/files/patch-linuxx86::hinst	Fri Jan 18 17:02:03 2013	(r310615)
+++ head/net/citrix_ica/files/patch-linuxx86::hinst	Fri Jan 18 17:07:00 2013	(r310616)
@@ -1,15 +1,91 @@
---- linuxx86/hinst.orig	Tue Oct 31 07:07:08 2006
-+++ linuxx86/hinst	Mon Mar  5 12:26:02 2007
-@@ -86,7 +86,7 @@
+--- linuxx86/hinst.orig	2012-04-13 14:57:24.000000000 +0000
++++ linuxx86/hinst	2013-01-02 04:11:06.000000000 +0000
+@@ -105,7 +105,7 @@
  fi
  
  #  Install in here by default.
--DefaultInstallDir=/usr/lib/ICAClient
-+DefaultInstallDir=/usr/local/ICAClient
+-DefaultInstallDir=/opt/Citrix/ICAClient
++DefaultInstallDir=%%PREFIX%%/ICAClient
  
  #  Default CDROM mount point
  DefaultCDSourceDir=/cdrom
-@@ -2217,7 +2217,7 @@
+@@ -1475,7 +1475,7 @@
+ set_require_ICA_license()
+ {
+     REQUIRE_LICENSE=
+-    if [ ! -f /etc/icalicense/clientlicense ]
++    if [ ! -f %%PREFIX%%/etc/icalicense/clientlicense ]
+     then
+ 	TRY1=`"$ECHO_CMD" -l`
+ 	sleep 1
+@@ -1498,14 +1498,14 @@
+ 	# a license file.
+ 
+ 	if [ -n "$SU_INSTALL" ] ; then
+-	    create_dir /etc/icalicense
++	    create_dir %%PREFIX%%/etc/icalicense
+ 
+-	    if [ ! -f /etc/icalicense/clientlicense ]
++	    if [ ! -f %%PREFIX%%/etc/icalicense/clientlicense ]
+ 	    then
+-		    "$ECHO_CMD" -l >/etc/icalicense/clientlicense
++		    "$ECHO_CMD" -l > %%PREFIX%%/etc/icalicense/clientlicense
+ 	    fi
+-	    chmod 444 /etc/icalicense/clientlicense
+-	    chmod 555 /etc/icalicense
++	    chmod 444 %%PREFIX%%/etc/icalicense/clientlicense
++	    chmod 555 %%PREFIX%%/etc/icalicense
+ 	fi
+ }
+ ###############################################################################
+@@ -1548,7 +1548,7 @@
+ 
+ 	echo_no_nl "$instica4"
+ 
+-	getyesno $INSTALLER_NO
++	ANSWER=${INSTALLER_YES}
+ 	if [ "$ANSWER" != "$INSTALLER_YES" ]
+ 	then
+ 		"$ECHO_CMD" $instica5
+@@ -1570,7 +1570,7 @@
+ 	rm $EULA
+ 
+ 	if
+-		eula_acceptance_menu
++		true
+ 	then
+ 		# EULA accepted - continue with installation
+ 		:
+@@ -1589,9 +1589,8 @@
+ 
+ 		if [ "$PORT" != "uclibc" ]
+ 		then 
+-			integrate_ICA_client
++			:
+ 		fi
+-		install_usb "$CDSourceDir" "$ICAInstDir"
+ 	else
+ 	   COR_SELECTED=false
+ 	fi
+@@ -1899,7 +1898,7 @@
+ 	while [ "$got_directory" = "false" ]
+ 	do
+ 		echo_no_nl "$dirutil1a $ICAInstDir] $dirutil1b"
+-		read newCDSourceDir
++		newCDSOurceDir=${DefaultInstallDir}
+ 		if [ "x$newCDSourceDir" != "x" ]
+ 		then
+ 			CDSourceDir="$newCDSourceDir"
+@@ -1971,7 +1970,7 @@
+ 	while [ "$got_directory" = "false" ]
+ 	do
+ 		echo_no_nl "$dirutil4a $ICAInstDir] $dirutil4b"
+-		read newICAInstDir
++		newICAInstDir=${DefaultInstallDir}
+ 		if [ "`echo x$newICAInstDir | tolower`" = "x$INSTALLER_QUIT" ]
+ 		then
+ 			FAIL_MSG=$dirutil13
+@@ -2567,7 +2566,7 @@
  	then
  		:
  	else
@@ -18,7 +94,7 @@
  		return 
  	fi
  
-@@ -2263,7 +2263,7 @@
+@@ -2641,7 +2640,7 @@
  		fi
  	fi
  
@@ -26,8 +102,8 @@
 +	/usr/bin/true
  }
  
- ###############################################################################
-@@ -2387,26 +2387,19 @@
+ #!/bin/sh
+@@ -2787,26 +2786,19 @@
  
  netscape_integrate()
  {
@@ -56,10 +132,10 @@
 -    else
 +	;;
 +    *)
- 	user_prompt $integrate_netscape2
+ 	user_prompt "$integrate_netscape2"
   	getyesno $INSTALLER_NO
  	if [ "$ANSWER" = "$INSTALLER_YES" ]
-@@ -2415,9 +2408,9 @@
+@@ -2815,9 +2807,9 @@
  	else
    		user_echo $integrate_netscape6
  	fi
@@ -68,6 +144,37 @@
      fi
 -  fi
 -
-     # Create utility script files in install root.
-     create_wfica_script
-     create_wfica_assoc_script
+   # Create utility script files in install root.
+   create_wfica_script
+   create_wfica_assoc_script
+@@ -4422,8 +4414,9 @@
+ 		    "$ECHO_CMD" $menus5
+ 		    return 0
+ 		fi
+-		while true
+-		do
++		#while true
++		#do
++		{
+ 			#
+ 			# Get the Function the user wants to perform
+ 			#
+@@ -4437,7 +4430,7 @@
+ 			fi
+ 			echo_no_nl "$menus2 1-$menuItems [$keyDefault]: "
+ 			
+-			read keynum
++			keynum=1
+ 
+ 			if test "x$keynum" = "x"
+ 			then 
+@@ -4502,7 +4495,8 @@
+ 				# After any action make exit the default
+ 				keyDefault=3
+ 			fi
+-		done
++		#done
++		}
+ }
+ 
+ 

Modified: head/net/citrix_ica/pkg-descr
==============================================================================
--- head/net/citrix_ica/pkg-descr	Fri Jan 18 17:02:03 2013	(r310615)
+++ head/net/citrix_ica/pkg-descr	Fri Jan 18 17:07:00 2013	(r310616)
@@ -1,25 +1,22 @@
-Citrix(R) Presentation Server(TM) runs on Microsoft(R) Windows
-Server(TM) and UNIX(R) operating systems, and extends the base
-Windows Terminal Services platform by enhancing the end-user
-experience as well as increasing manageability, compatibility,
-security and scalability to address business-critical environments.
-Presentation Server expands the range of supported applications to
-include legacy software and Web-based, UNIX and Java solutions. It
-also enables any device or operating system including Macintosh and
-Linux to access virtualized applications. Other important capabilities
-are powerful management and configuration tools and faster, more
-flexible printing.
-
-You will need to create the directory ${LINUXBASE}/dev or risk
-crashing your system.
-
-If your Citrix server does not have one of the supplied root-certificates,
-you can copy the certificate to /usr/ports/distfiles and add the
-following line to your /etc/make.conf:
+Citrix(R) Presentation Server(TM) runs on Microsoft(R) Windows Server(TM) and
+UNIX(R) operating systems, and extends the base Windows Terminal Services
+platform by enhancing the end-user experience as well as increasing
+manageability, compatibility, security and scalability to address
+business-critical environments.
+
+This port includes the Citrix(R) Receiver(TM) software which allows connecting
+to Citrix(R) Presentation Server(TM).
+
+You will need to create the directory ${LINUXBASE}/dev or risk crashing your
+system.
+
+If your Citrix server does not have one of the supplied root-certificates, you
+can copy the certificate to /usr/ports/distfiles and add the following line to
+your /etc/make.conf:
 
 	ICA_CERTS=mycert.crt
 
-It will then automatically be installed and removed with the normal
-FreeBSD package tools.
+It will then automatically be installed and removed with the normal FreeBSD
+package tools.
 
-WWW: http://www.citrix.com/English/ps2/products/product.asp?contentID=186
+WWW: http://www.citrix.com/products/receiver/overview.html

Modified: head/net/citrix_ica/pkg-plist
==============================================================================
--- head/net/citrix_ica/pkg-plist	Fri Jan 18 17:02:03 2013	(r310615)
+++ head/net/citrix_ica/pkg-plist	Fri Jan 18 17:07:00 2013	(r310616)
@@ -1,37 +1,60 @@
 @unexec for dir in /usr/local/libexec/netscape /usr/local/libexec/netscape-linux /usr/local/netscape /usr/local/netscape-linux /usr/local/lib/netscape /usr/local/lib/netscape-linux %%MOZILLA_HOME%% %D/lib/netscape-linux; do if [ -f ${dir}/mime.types ]; then (/bin/cat ${dir}/mime.types | /usr/bin/grep -v "application/x-ica" > ${dir}/mime.types.tmp; mv ${dir}/mime.types.tmp ${dir}/mime.types); fi ; done
 @unexec for dir in /usr/local/libexec/netscape /usr/local/libexec/netscape-linux /usr/local/netscape /usr/local/netscape-linux /usr/local/lib/netscape /usr/local/lib/netscape-linux %%MOZILLA_HOME%% %D/lib/netscape-linux; do if [ -f ${dir}/mailcap ]; then (/bin/cat ${dir}/mailcap | /usr/bin/grep -v "application/x-ica" > ${dir}/mailcap.tmp; /bin/mv ${dir}/mailcap.tmp ${dir}/mailcap); fi ; done
 @unexec for dir in /usr/local/libexec/netscape /usr/local/libexec/netscape-linux /usr/local/netscape /usr/local/netscape-linux /usr/local/lib/netscape /usr/local/lib/netscape-linux %%MOZILLA_HOME%% %D/lib/netscape-linux; do if [ -e ${dir}/plugins/npica.so ]; then (/bin/rm ${dir}/plugins/npica.so); fi ; done
+%%HAVE_ICA_CERTS%%@unexec for f in %%ICA_CERTS%%; do rm %%CERTDIR%%/${f}; done
+ICAClient/ADPCM.DLL
 ICAClient/CHARICONV.DLL
+ICAClient/FlashContainer.bin
 ICAClient/NDS.DLL
 ICAClient/Npica
 ICAClient/Npica.ad
 ICAClient/PDCRYPT1.DLL
 ICAClient/PDCRYPT2.DLL
-ICAClient/TW1.DLL
-ICAClient/VDEUEM.DLL
+ICAClient/SPEEX.DLL
+ICAClient/VDFLASH2.DLL
+ICAClient/VDHSSPI.DLL
+ICAClient/VDMM.DLL
+ICAClient/VDMSSPI.DLL
 ICAClient/VDSCARD.DLL
-ICAClient/VDSPMIKE.DLL
+ICAClient/VORBIS.DLL
 ICAClient/config/.server
 ICAClient/config/All_Regions.ini
+ICAClient/config/MediaStreamingConfig.tbl
 ICAClient/config/Trusted_Region.ini
 ICAClient/config/Unknown_Region.ini
 ICAClient/config/Untrusted_Region.ini
 ICAClient/config/appsrv.ini
 ICAClient/config/canonicalization.ini
 ICAClient/config/module.ini
+ICAClient/config/plugin.ini
 ICAClient/config/regions.ini
 ICAClient/config/usertemplate/All_Regions.ini
 ICAClient/config/usertemplate/Trusted_Region.ini
 ICAClient/config/usertemplate/Unknown_Region.ini
 ICAClient/config/usertemplate/Untrusted_Region.ini
 ICAClient/config/wfclient.ini
-ICAClient/desktop/Citrix_PNA.desktop
-ICAClient/desktop/wfcmgr.desktop
 ICAClient/eula.txt
+ICAClient/gtk/glade/authdialogbox.glade
+ICAClient/gtk/glade/connect.glade
+ICAClient/gtk/glade/dialog.glade
+ICAClient/gtk/glade/flashdialogbox.glade
+ICAClient/gtk/glade/flashdialogbox1.glade
+ICAClient/gtk/glade/main.glade
+ICAClient/gtk/glade/proxy.glade
+ICAClient/gtk/glade/zlc.glade
+ICAClient/gtk/resource.gtkrc
 ICAClient/help/index.htm
-ICAClient/icons/manager.xpm
+ICAClient/icons/alert.png
+ICAClient/icons/background.png
+ICAClient/icons/disconnect.png
+ICAClient/icons/error.png
+ICAClient/icons/flash.png
+ICAClient/icons/info.png
+ICAClient/icons/manager.png
+ICAClient/icons/receiver.png
+ICAClient/icons/security.png
+ICAClient/icons/security_small.png
 ICAClient/icons/session.xpm
-ICAClient/install.txt
 ICAClient/keyboard/age2.kbd
 ICAClient/keyboard/agex2.kbd
 ICAClient/keyboard/automatic.kbd
@@ -97,48 +120,129 @@ ICAClient/keystore/cacerts/Class3PCA_G2_
 ICAClient/keystore/cacerts/Class4PCA_G2_v2.crt
 ICAClient/keystore/cacerts/GTECTGlobalRoot.crt
 ICAClient/keystore/cacerts/Pcs3ss_v4.crt
-ICAClient/keystore/cacerts/SecureServer.crt
-%%HAVE_ICA_CERTS%%@unexec for f in %%ICA_CERTS%%; do rm %%CERTDIR%%/${f}; done
+ICAClient/lib/libavcodec.so
+ICAClient/lib/libavformat.so
+ICAClient/lib/libavutil.so
+ICAClient/lib/libkcph.so
+ICAClient/lib/libkcpm.so
+ICAClient/lib/libswscale.so
 ICAClient/libctxssl.so
+ICAClient/libproxy.so
+ICAClient/nls/C
+ICAClient/nls/de/LC_MESSAGES/flash.mo
+ICAClient/nls/de/LC_MESSAGES/icaclient.mo
+ICAClient/nls/de/Npica
+ICAClient/nls/de/Npica.ad
+ICAClient/nls/de/UTF-8/Wfcmgr
+ICAClient/nls/de/UTF-8/XCapture
+ICAClient/nls/de/UTF-8/XCapture.ad
+ICAClient/nls/de/UTF-8/eula.txt
+ICAClient/nls/de/UTF-8/pna.nls
+ICAClient/nls/de/UTF-8/setupwfc.msg
+ICAClient/nls/de/Wfcmgr
+ICAClient/nls/de/XCapture
+ICAClient/nls/de/XCapture.ad
+ICAClient/nls/de/appsrv.ini
+ICAClient/nls/de/eula.txt
+ICAClient/nls/de/hinst.msg
+ICAClient/nls/de/index.htm
+ICAClient/nls/de/module.ini
+ICAClient/nls/de/pna.nls
+ICAClient/nls/de/setupwfc.msg
+ICAClient/nls/de/utf8
+ICAClient/nls/de/wfclient.ini
+ICAClient/nls/en/LC_MESSAGES/icaclient.mo
+ICAClient/nls/en/Npica
+ICAClient/nls/en/Npica.ad
 ICAClient/nls/en/UTF-8/Wfcmgr
-ICAClient/nls/en/UTF-8/Wfica
+ICAClient/nls/en/UTF-8/XCapture
+ICAClient/nls/en/UTF-8/XCapture.ad
+ICAClient/nls/en/UTF-8/eula.txt
 ICAClient/nls/en/UTF-8/pna.nls
+ICAClient/nls/en/UTF-8/setupwfc.msg
 ICAClient/nls/en/Wfcmgr
-ICAClient/nls/en/Wfica
+ICAClient/nls/en/XCapture
+ICAClient/nls/en/XCapture.ad
+ICAClient/nls/en/appsrv.ini
+ICAClient/nls/en/eula.txt
+ICAClient/nls/en/hinst.msg
+ICAClient/nls/en/index.htm
+ICAClient/nls/en/module.ini
 ICAClient/nls/en/pna.nls
-ICAClient/nls/C
+ICAClient/nls/en/setupwfc.msg
+ICAClient/nls/en/utf8
+ICAClient/nls/en/wfclient.ini
+ICAClient/nls/ja/LC_MESSAGES/flash.mo
+ICAClient/nls/ja/LC_MESSAGES/icaclient.mo
+ICAClient/nls/ja/Npica
+ICAClient/nls/ja/Npica.ad
+ICAClient/nls/ja/UTF-8/Wfcmgr
+ICAClient/nls/ja/UTF-8/XCapture
+ICAClient/nls/ja/UTF-8/XCapture.ad
+ICAClient/nls/ja/UTF-8/eula.txt
+ICAClient/nls/ja/UTF-8/pna.nls
+ICAClient/nls/ja/UTF-8/setupwfc.msg
+ICAClient/nls/ja/Wfcmgr
+ICAClient/nls/ja/XCapture
+ICAClient/nls/ja/XCapture.ad
+ICAClient/nls/ja/appsrv.ini
+ICAClient/nls/ja/eula.txt
+ICAClient/nls/ja/hinst.msg
+ICAClient/nls/ja/index.htm
+ICAClient/nls/ja/module.ini
+ICAClient/nls/ja/pna.nls
+ICAClient/nls/ja/setupwfc.msg
+ICAClient/nls/ja/utf8
+ICAClient/nls/ja/wfclient.ini
 ICAClient/npica.so
 ICAClient/pkginf/F.core.linuxx86
 ICAClient/pkginf/Ver.core.linuxx86
 ICAClient/pkginf/changeno.dat
-ICAClient/readme.txt
 ICAClient/setupwfc
-ICAClient/util/XCapture
-ICAClient/util/XCapture.ad
+ICAClient/util/DeleteCompleteFlashCache.sh
 ICAClient/util/echo_cmd
+ICAClient/util/gst_play.32
+ICAClient/util/gst_play.64
+ICAClient/util/gst_read.32
+ICAClient/util/gst_read.64
+ICAClient/util/hdxcheck.sh
 ICAClient/util/hinst
 ICAClient/util/icalicense.sh
+ICAClient/util/libgstflatstm.32.so
+ICAClient/util/libgstflatstm.64.so
 ICAClient/util/nslaunch
 ICAClient/util/pac.js
 ICAClient/util/pacexec
+ICAClient/util/pnabrowse
+ICAClient/util/sunraymac.sh
+ICAClient/util/what
 ICAClient/util/xcapture
 ICAClient/wfcmgr
 ICAClient/wfica
-ICAClient/wfica.sh
-ICAClient/wfica_assoc.sh
 bin/wfcmgr
 bin/wfica
-@dirrm ICAClient/util
-@dirrm ICAClient/pkginf
+etc/icalicense/clientlicense
+@dirrm ICAClient/config/usertemplate
+@dirrm ICAClient/config
+@dirrm ICAClient/gtk/glade
+@dirrm ICAClient/gtk
+@dirrm ICAClient/help
+@dirrm ICAClient/icons
+@dirrm ICAClient/keyboard
+@dirrm ICAClient/keystore/cacerts
+@dirrm ICAClient/keystore
+@dirrm ICAClient/lib
+@dirrm ICAClient/nls/de/LC_MESSAGES
+@dirrm ICAClient/nls/de/UTF-8
+@dirrm ICAClient/nls/de
+@dirrm ICAClient/nls/en/LC_MESSAGES
 @dirrm ICAClient/nls/en/UTF-8
 @dirrm ICAClient/nls/en
+@dirrm ICAClient/nls/ja/LC_MESSAGES
+@dirrm ICAClient/nls/ja/UTF-8
+@dirrm ICAClient/nls/ja
 @dirrm ICAClient/nls
-@dirrm ICAClient/keystore/cacerts
-@dirrm ICAClient/keystore
-@dirrm ICAClient/keyboard
-@dirrm ICAClient/icons
-@dirrm ICAClient/help
-@dirrm ICAClient/desktop
-@dirrm ICAClient/config/usertemplate
-@dirrm ICAClient/config
+@dirrm ICAClient/pkginf
+@dirrm ICAClient/util
 @dirrm ICAClient
+@dirrm etc/icalicense
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Steve Wills freebsd_committer 2013-01-18 17:07:20 UTC
State Changed
From-To: open->closed

Commited, with major changes. Thanks!
Comment 5 commit-hook freebsd_committer 2016-09-20 13:49:52 UTC
A commit references this bug:

Author: marino
Date: Tue Sep 20 13:49:48 UTC 2016
New revision: 422495
URL: https://svnweb.freebsd.org/changeset/ports/422495

Log:
  japanese/mecab: Update MASTER_SITES to unbreak

  PR:	174865

Changes:
  head/japanese/mecab/Makefile